API de Autor do Google Scholar
Recupere o perfil completo de um autor do Google Scholar, incluindo sua lista de publicações, métricas de citação e colegas. Defina engine=google_scholar_author e passe o ID do autor em author_id.
Endpoint
Seção intitulada “Endpoint” GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
Parâmetros
Seção intitulada “Parâmetros”| Parâmetro | Tipo | Obrigatório | Descrição |
|---|---|---|---|
api_key | string | sim | Sua chave de API SERP |
engine | string | sim | Deve ser google_scholar_author |
author_id | string | sim | O ID do autor no Google Scholar |
device | string | não | desktop, mobile, ou tablet |
view_op | string | não | view_citation ou list_colleagues |
sort | string | não | title ou pubdate |
citation_id | string | não | Obrigatório quando view_op=view_citation |
hl | string | não | Código de idioma da interface |
start | int | não | Deslocamento de resultado para paginação |
num | int | não | Número de resultados por página |
Exemplo de requisição
Seção intitulada “Exemplo de requisição”curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"import requests
params = { "engine": "google_scholar_author", "api_key": "YOUR_API_KEY", "author_id": "LSsXyncAAAAJ",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_author', api_key: 'YOUR_API_KEY', author_id: 'LSsXyncAAAAJ',});const data = await (await fetch(url)).json();Exemplo de resposta
Seção intitulada “Exemplo de resposta”{ "search_parameters": { "engine": "google_scholar_author", "author_id": "LSsXyncAAAAJ" }, "author": { "name": "Jane Doe", "affiliations": "Professor, Stanford University", "email": "Verified email at stanford.edu", "interests": [ { "title": "Machine Learning" } ], "thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..." }, "articles": [ { "title": "Deep learning for computer vision", "link": "https://scholar.google.com/citations?view_op=view_citation&...", "citation_id": "u5HHmVD_uO8C", "year": "2015", "cited_by": { "value": 4500 } } ], "cited_by": { "table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ] }}